QGIS Application - Bug report #21973
select on map: selection is not added when using the CTRL key
2019-05-02 11:16 AM - Roberto Comune Boffelli Comune

Status: Rejected

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:3.6.2 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 29788
Description

Hi,

there is a little bug concerned the selection of objects/entities .... (see step 3)
what happen? if you try to
1) make a selection of one or more objects ....

2) next, using the CTRL key (usually used to 'add new items' to a selection) if u choose to add a single entity/object it work correctly
3) BUT if u try to add a 'gruop’ of entities/objects using the 'selection area’ (still using the CTRL key togheter) ... the QGis don't add

neither of those objects ....
opposite it work correctly (don't add any new selected objects to a current selection) ....

4) il you try to deselect a gruop of objects (sub Group of current selected objects) using a 'selection object

area and with the CTRL key pressed' it work correctly .....

i hope that i was "clear" or however that you can understand what i'm trying to mean.

have a nice day!
Roberto.

History

#1 - 2019-05-02 01:25 PM - Giovanni Manghi

- Subject changed from Selection Little "but strange" bug to select on map: selection is not added when using the CTRL key

- Regression? changed from No to Yes

- Affected QGIS version changed from 3.4.6 to 3.6.2
- Priority changed from Normal to High

- Category changed from Editing to Map Tools

Confirmed on 3.6.2 and | believe it is a regression.

#2 - 2019-05-02 06:10 PM - Francesco Filippucci

se seleziono I'opzione di simbolo in gruppo di punti mi viene riferito: "the point displacement renderer only applies to (single) point layer, name_file is not

(single) point layer and cannot be displayed by the point displacement render"????

#3 - 2019-05-02 06:13 PM - Giovanni Manghi

Francesco Filippucci wrote:
se seleziono I'opzione di simbolo in gruppo di punti mi viene riferito: "the point displacement renderer only applies to (single) point layer, name_file is

not (single) point layer and cannot be displayed by the point displacement render"????

the point layer cannot be of type MULTIpoint, that is the meaning. Anyway this is not related to the issue described in this ticket.

#4 - 2019-05-03 01:03 AM - Nyall Dawson
- Resolution set to invalid

- Status changed from Open to Rejected

In QGIS shift + select is used to add to a selection, CTRL + select is used to take away from an existing selection.

#5 - 2019-05-03 08:44 AM - Roberto Comune Boffelli Comune

Nyall Dawson Wow! thank you very much!

it work! ... i'm sorry for my primary post but i tought the logic was working like a Windows logic .... and maybe

would be better to will be alligned (to the "Windows SO pylosophy") in the future ....

thank you to everybodies!

have a nice day!
